<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Name: Transportation Act
Description: Een transport act geeft de beoogde of de feitelijke wijze van vervoer en het tijdstip van vertrek en / of aankomst van de patiënt weer.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000">
   <title>Transportation Act</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]
Item: (TransportationAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]
Item: (TransportationAct)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]"
         id="d18e4182-false-d42965e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="string(@classCode)=('ACT')">(TransportationAct): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="@moodCode">(TransportationAct): attribute @moodCode MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('INT','EVN')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(TransportationAct): de waarde van moodCode MOET 'code INT of code EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302'])&gt;=1">(TransportationAct): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302'])&lt;=1">(TransportationAct): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:id[not(@nullFlavor)])&gt;=1">(TransportationAct): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:code)&gt;=1">(TransportationAct): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:code)&lt;=1">(TransportationAct): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:text)&lt;=1">(TransportationAct): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(TransportationAct): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:participant[@typeCode='ORG'])&lt;=1">(TransportationAct): element hl7:participant[@typeCode='ORG'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:participant[@typeCode='ATND'])&lt;=1">(TransportationAct): element hl7:participant[@typeCode='ATND'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:participant[@typeCode='DST'])&lt;=1">(TransportationAct): element hl7:participant[@typeCode='DST'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:entryRelationship[@typeCode='SPRT'][hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.221']]])&lt;=1">(TransportationAct): element hl7:entryRelationship[@typeCode='SPRT'][hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.221']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:entryRelationship[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.313']]])&lt;=1">(TransportationAct): element hl7:entryRelationship[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.313']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']
Item: (TransportationAct)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']"
         id="d18e4196-false-d43095e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransportationAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.55.10.302')">(TransportationAct): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.302' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:id[not(@nullFlavor)]
Item: (TransportationAct)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:id[not(@nullFlavor)]"
         id="d18e4201-false-d43110e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransportationAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:code
Item: (TransportationAct)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:code"
         id="d18e4204-false-d43121e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransportationAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:text
Item: (TransportationAct)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:text"
         id="d18e4210-false-d43132e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransportationAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:reference)&gt;=1">(TransportationAct): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:reference)&lt;=1">(TransportationAct): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:text/hl7:reference
Item: (TransportationAct)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:text/hl7:reference"
         id="d18e4215-false-d43153e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransportationAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:URL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:effectiveTime
Item: (TransportationAct)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:effectiveTime"
         id="d18e4218-false-d43164e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransportationAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:low)&gt;=1">(TransportationAct): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:low)&lt;=1">(TransportationAct): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:high)&gt;=1">(TransportationAct): element hl7:high is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:high)&lt;=1">(TransportationAct): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:effectiveTime/hl7:low
Item: (TransportationAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:effectiveTime/hl7:high
Item: (TransportationAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.303
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ORG']
Item: (Sourcelocation)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ORG']"
         id="d43205e24-false-d43210e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.303-2016-02-25T000000.html"
              test="string(@typeCode)=('ORG')">(Sourcelocation): de waarde van @typeCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.303-2016-02-25T000000.html"
              test="count(hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)])&gt;=1">(Sourcelocation): element hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.303-2016-02-25T000000.html"
              test="count(hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)])&lt;=1">(Sourcelocation): element hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.303
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ORG']/hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)]
Item: (Sourcelocation)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ORG']/hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)]"
         id="d43205e33-false-d43231e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.303-2016-02-25T000000.html"
              test="string(@classCode)=('LOCE')">(Sourcelocation): de waarde van @classCode MOET 'LOCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.303-2016-02-25T000000.html"
              test="count(hl7:addr)&gt;=1">(Sourcelocation): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.303-2016-02-25T000000.html"
              test="count(hl7:addr)&lt;=1">(Sourcelocation): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.303
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ORG']/hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)]/hl7:addr
Item: (Sourcelocation)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ORG']/hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)]/hl7:addr"
         id="d43205e37-false-d43252e0">
      <extends rule="AD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.303-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sourcelocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.305
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ATND']
Item: (Caregiveratsourcelocation)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ATND']"
         id="d43253e48-false-d43262e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="string(@typeCode)=('ATND')">(Caregiveratsourcelocation): de waarde van @typeCode MOET 'ATND' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.305
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ATND']/hl7:participantRole[@classCode='ASSIGNED']
Item: (Caregiveratsourcelocation)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ATND']/hl7:participantRole[@classCode='ASSIGNED']"
         id="d43253e52-false-d43277e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="string(@classCode)=('ASSIGNED')">(Caregiveratsourcelocation): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.45-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(Caregiveratsourcelocation): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.45-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="count(hl7:telecom[starts-with(@value, 'tel:')])&lt;=1">(Caregiveratsourcelocation): element hl7:telecom[starts-with(@value, 'tel:')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="count(hl7:telecom[starts-with(@value, 'mailto:')])&lt;=1">(Caregiveratsourcelocation): element hl7:telecom[starts-with(@value, 'mailto:')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="count(hl7:playingEntity)&lt;=1">(Caregiveratsourcelocation): element hl7:playingEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.305
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ATND']/hl7:participantRole[@classCode='ASSIGNED']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.45-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (Caregiveratsourcelocation)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ATND']/hl7:participantRole[@classCode='ASSIGNED']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.45-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d43253e56-false-d43318e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Caregiveratsourcelocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.45-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Caregiveratsourcelocation): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.55.11.45 Hulpverleners ter plaatse (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.305
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ATND']/hl7:participantRole[@classCode='ASSIGNED']/hl7:telecom[starts-with(@value, 'tel:')]
Item: (Caregiveratsourcelocation)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ATND']/hl7:participantRole[@classCode='ASSIGNED']/hl7:telecom[starts-with(@value, 'tel:')]"
         id="d43253e61-false-d43338e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Caregiveratsourcelocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.305
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ATND']/hl7:participantRole[@classCode='ASSIGNED']/hl7:telecom[starts-with(@value, 'mailto:')]
Item: (Caregiveratsourcelocation)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ATND']/hl7:participantRole[@classCode='ASSIGNED']/hl7:telecom[starts-with(@value, 'mailto:')]"
         id="d43253e67-false-d43347e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Caregiveratsourcelocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.305
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ATND']/hl7:participantRole[@classCode='ASSIGNED']/hl7:playingEntity
Item: (Caregiveratsourcelocation)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ATND']/hl7:participantRole[@classCode='ASSIGNED']/hl7:playingEntity"
         id="d43253e73-false-d43358e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(Caregiveratsourcelocation): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(Caregiveratsourcelocation): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="count(hl7:name)&lt;=1">(Caregiveratsourcelocation): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.305
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ATND']/hl7:participantRole[@classCode='ASSIGNED']/hl7:playingEntity/hl7:name
Item: (Caregiveratsourcelocation)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='ATND']/hl7:participantRole[@classCode='ASSIGNED']/hl7:playingEntity/hl7:name"
         id="d43253e79-false-d43380e0">
      <extends rule="PN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Caregiveratsourcelocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.304
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='DST']
Item: (Destinationlocation)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='DST']"
         id="d43381e46-false-d43390e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="string(@typeCode)=('DST')">(Destinationlocation): de waarde van @typeCode MOET 'DST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="count(hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)])&gt;=1">(Destinationlocation): element hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="count(hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)])&lt;=1">(Destinationlocation): element hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.304
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='DST']/hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)]
Item: (Destinationlocation)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='DST']/hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)]"
         id="d43381e50-false-d43411e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="string(@classCode)=('LOCE')">(Destinationlocation): de waarde van @classCode MOET 'LOCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="count(hl7:id)&lt;=1">(Destinationlocation): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="count(hl7:addr)&gt;=1">(Destinationlocation): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="count(hl7:addr)&lt;=1">(Destinationlocation): element hl7:addr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="count(hl7:scopingEntity[@classCode='PSN'])&lt;=1">(Destinationlocation): element hl7:scopingEntity[@classCode='PSN'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.304
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='DST']/hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)]/hl7:id
Item: (Destinationlocation)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='DST']/hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)]/hl7:id"
         id="d43381e54-false-d43450e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Destinationlocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.304
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='DST']/hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)]/hl7:addr
Item: (Destinationlocation)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='DST']/hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)]/hl7:addr"
         id="d43381e60-false-d43461e0">
      <extends rule="AD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Destinationlocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.304
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='DST']/hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)]/hl7:telecom
Item: (Destinationlocation)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='DST']/hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)]/hl7:telecom"
         id="d43381e62-false-d43472e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Destinationlocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.304
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='DST']/hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)]/hl7:scopingEntity[@classCode='PSN']
Item: (Destinationlocation)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='DST']/hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)]/hl7:scopingEntity[@classCode='PSN']"
         id="d43381e64-false-d43483e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="string(@classCode)=('PSN')">(Destinationlocation): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(Destinationlocation): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(Destinationlocation): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="count(hl7:desc)&gt;=1">(Destinationlocation): element hl7:desc is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="count(hl7:desc)&lt;=1">(Destinationlocation): element hl7:desc komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.304
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='DST']/hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)]/hl7:scopingEntity[@classCode='PSN']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (Destinationlocation)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='DST']/hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)]/hl7:scopingEntity[@classCode='PSN']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d43381e70-false-d43521e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Destinationlocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.17-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Destinationlocation): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.55.11.17 Vermoed specialisme (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.304
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='DST']/hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)]/hl7:scopingEntity[@classCode='PSN']/hl7:desc
Item: (Destinationlocation)
-->

   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:participant[@typeCode='DST']/hl7:participantRole[@classCode='LOCE'][not(@nullFlavor)]/hl7:scopingEntity[@classCode='PSN']/hl7:desc"
         id="d43381e78-false-d43543e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Destinationlocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:entryRelationship[@typeCode='SPRT'][hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.221']]]
Item: (TransportationAct)
-->
   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:entryRelationship[@typeCode='SPRT'][hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.221']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="string(@typeCode)=('SPRT')">(TransportationAct): de waarde van @typeCode MOET 'SPRT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:entryRelationship[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.313']]]
Item: (TransportationAct)
-->
   <rule context="*[hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]]/hl7:act[@classCode='ACT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:entryRelationship[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.313']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20180112T151418/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="string(@typeCode)=('COMP')">(TransportationAct): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
